PImage[] img;
int currentImageIndex = -1; // Initialize to -1 to indicate no image initially
float imageX, imageY; // Variables to store the image position

PImage bg;

void setup() {
  size(600, 600);
  bg = loadImage("brokendown.png");
  background(bg);
  img = new PImage[16]; // Creates an array of 3 images

  img[0] = loadImage("xp1.png");
  img[1] = loadImage("xp2.png");
  img[2] = loadImage("xp4.png");
  img[3] = loadImage("xp5.png");
  img[4] = loadImage("xp6.png");
  img[5] = loadImage("xp8.png"); 
  img[6] = loadImage("xp9.png");
  img[7] = loadImage("xp10.png");
  img[8] = loadImage("xp11.png");
  img[9] = loadImage("xp12.png"); 
  img[10] = loadImage("xp13.png");
  img[11] = loadImage("xp14.png");
  img[12] = loadImage("xp15.png");
  img[13] = loadImage("xp16.png");
  img[14] = loadImage("xp17.png");
  img[15] = loadImage("xp18.png");
}

void draw() {
  if (mouseButton == RIGHT) {
    background(bg);
  }
}

void mouseClicked() {
  if (mouseButton == LEFT) {
    // Generate a random index
    int randomIndex = int(random(img.length));
    currentImageIndex = randomIndex;
    imageX = mouseX;
    imageY = mouseY;
    imageMode(CENTER);
    image(img[currentImageIndex],mouseX, mouseY);
  }
}

void mouseDragged() {
  if (mouseButton == LEFT && currentImageIndex != -1) {
    imageMode(CENTER);
    image(img[currentImageIndex], mouseX, mouseY);
  }
}
